// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UEdGraphPin.h"
#include "ISCW_UK2Node_EnumEquality.h"
#include "SCW_UK2Node.h"

class UK2Node_EnumEquality;

namespace Sourcify
{
	class SCW_UK2Node_EnumEquality : public SCW_UK2Node, public ISCW_UK2Node_EnumEquality
	{
	public:
		SCW_UK2Node_EnumEquality(UK2Node_EnumEquality* InK2Node_EnumEquality);

		ISCW_UEdGraphPinPtr GetInput1Pin() const override;

		ISCW_UEdGraphPinPtr GetInput2Pin() const override;

		ISCW_UEdGraphPinPtr GetReturnValuePin() const override;

		UK2Node_EnumEquality* ToUK2Node_EnumEquality() const;

		ISCW_UK2Node_EnumEqualityPtr ToUK2Node_EnumEqualityPtr() override;
		ISCW_UK2Node_EnumEqualityConstPtr ToUK2Node_EnumEqualityPtr() const override;

	protected:
		UK2Node_EnumEquality* K2Node_EnumEquality;
	};
} // namespace Sourcify